1 返信 最新の回答 日時: Jul 24, 2015 7:08 PM ユーザー:たこさん's

    【Linux】LinuxMINT 17.2上のfirefox39でFlashPlayerのアップデート

    たこさん's

      LinuxMINT 17.2上でfirefox39を使用しております。

      で、FlashPlayerのバージョンですが、現在[11.2.202.468]ということらしいです。

      このバージョンのflash Playerは脆弱性があるので危険!と出て動作がブロックされます。

      Mozilla PlugIn checkのタブからアップデートをしようと、以下のページヘ行こうとすると。

       

      ttps://get.adobe.com/flashplayer/

      Adobe Flash Player Install for all ver

      413 Header Length too Large

       

      と出るようになりました。

      さて、以前開いていた時の状況ですが、Flashのダウンロードで「今すぐダウンロード」を選ぶと

      SynapticPackageManagerが開きますが、この時管理者権限がないという警告ダイアログが

      出てインストールできませんでした。

      なので、これを管理者で権限で起動しておいても別のインスタンスが立ち上がってダメです。

      firefox自体を管理者権限で実行してみましたが、これもうまくいきませんでした。

      ここいらに詳しい方居らしたら、アップデートする方法を教えて下さい。

       

      んじゃ。

        • 1. Re: 【Linux】LinuxMINT 17.2上のfirefox39でFlashPlayerのアップデート
          たこさん's Level 1

          その後いくつか調べてみましたところ・・・

           

          firefoxのプラグインバージョンチェックページ

          https://www.mozilla.org/ja/plugincheck/?utm_source=firefox-browser&utm_medium=firefox-brow ser&utm_campaign=plugincheck-update

           

          こちらのページでは「11.2.202.468」で「更新が必要」

           

          adobe 様のflashバージョンチェック

          https://www.adobe.com/jp/software/flash/about/

           

          こちらでも、「11,2,202,468 installed」と出ておりました。

           

          LinuxMINTのパッケージマネージャである「Synaptic Package Manager」では

          flashplugin-installer 11.2.202.491 Ubuntu0.14.04.1 installed と出て最新版も同じと出ています。

          また、

          $ sudo find / -name libflashplayer.so

          としたところ、

          ~/.mozilla/plugins/libflashplayer.so

          /var/lib/mozilla/plugins/libflashplayer.so

          /usr/lib/firefox-addons/plugins/libflashplayer.so

          /usr/lib/flashplugin-installer/libflashplayer.so

           

          一番上のが3番目へのシンボリックリンクで、他はファイル実体があります。

          一番下のだけ日付が新しいのに気が付きました。

           

          各ファイルのmd5sumは

          sudo md5sum /var/lib/mozilla/plugins/libflashplayer.so

          fbfd87fcd48ea5a1e30236defaace6ed  /var/lib/mozilla/plugins/libflashplayer.so

          sudo md5sum /usr/lib/firefox-addons/plugins/libflashplayer.so

          fbfd87fcd48ea5a1e30236defaace6ed  /usr/lib/firefox-addons/plugins/libflashplayer.so

          sudo md5sum /usr/lib/flashplugin-installer/libflashplayer.so

          ac63b6a636b804acab662b227eec930b  /usr/lib/flashplugin-installer/libflashplayer.so

           

          と3番目のだけ異なる事が判明。仕方ないので三番目のを上の2つに上書きコピーしてしまいました。

          ブラウザ上でのチェックも通りましたので、報告しておきます。